SystemOrganization addCategory: #ConfigurationOfVoyageMongo!

Object subclass: #ConfigurationOfVoyageMongo
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfVoyageMongo'!

!ConfigurationOfVoyageMongo class methodsFor: 'development support' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfVoyageMongo class methodsFor: 'private' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfVoyageMongo class methodsFor: 'catalog' stamp: 'EstebanLorenzano 12/12/2013 20:23'!
catalogDescription
	^ '
- "VOMongoRepository" is the main class. 

The entry point for an application using voyage would be: 

=    repository := VOMongoRepository host: ''yourhost'' database: ''yourdatabase''.
=    repository enableSingleton.'! !

!ConfigurationOfVoyageMongo class methodsFor: 'catalog' stamp: 'EstebanLorenzano 12/12/2013 20:18'!
catalogKeyClassesAndExample
	^ 'MongoVoyage is an object persistence layer made for easy the work with MongoDB. It is an "ODM" (Object-Document Mapper), in the same spirit of the ORMs for relational approaches.'! !

!ConfigurationOfVoyageMongo class methodsFor: 'catalog' stamp: 'EstebanLorenzano 12/12/2013 20:19'!
catalogKeywords
	^ #(persistence mongodb)! !

!ConfigurationOfVoyageMongo class methodsFor: 'private' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfVoyageMongo class methodsFor: 'private' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfVoyageMongo class methodsFor: 'metacello tool support' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfVoyageMongo class methodsFor: 'loading' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfVoyageMongo class methodsFor: 'loading' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfVoyageMongo class methodsFor: 'loading' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfVoyageMongo class methodsFor: 'accessing' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
project

	^self new project! !

!ConfigurationOfVoyageMongo class methodsFor: 'development support' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfVoyageMongo methodsFor: 'baselines' stamp: 'EstebanLorenzano 5/30/2012 16:47'!
baseline101: spec
	<version: '1.0.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline. 
		spec repository: 'http://smalltalkhub.com/mc/estebanlm/Voyage/main'.
		
		spec 
			project: 'Magritte2' with: [ 
				spec
					className: 'ConfigurationOfMagritte2';
					file: 'ConfigurationOfMagritte2';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'MongoTalk' with: [ 
				spec
					className: 'ConfigurationOfMongoTalk';
					file: 'ConfigurationOfMongoTalk';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];	
			package: 'Voyage-Model-Core';
			package: 'Voyage-Memory-Core' with: [ spec requires: 'Voyage-Model-Core' ];
			package: 'Voyage-Seaside-Container' with: [ spec requires: 'Voyage-Model-Core' ];
			package: 'Voyage-Mongo-Core' with: [ spec requires: #('MongoTalk' 'Voyage-Model-Core') ];
			package: 'Voyage-Mongo-Magritte' with: [ spec requires: #('Magritte2' 'Voyage-Mongo-Core') ];
			package: 'Voyage-Mongo-Tests';
			package: 'Voyage-Mongo-Utils' with: [ spec requires: #('Voyage-Mongo-Core') ].
			
		spec
			group: 'default' with: #('Core' 'Memory' 'Mongo' 'Tests');
			group: 'Core' with: #('Voyage-Model-Core');
			group: 'Memory' with: #('Voyage-Memory-Core');
			group: 'Mongo' with: #('Voyage-Mongo-Core' 'Voyage-Mongo-Magritte' 'Voyage-Mongo-Utils');
			group: 'Tests' with: #('Voyage-Mongo-Tests') ].! !

!ConfigurationOfVoyageMongo methodsFor: 'baselines' stamp: 'EstebanLorenzano 5/6/2012 18:42'!
baseline10: spec
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline. 
		spec repository: 'http://smalltalkhub.com/mc/estebanlm/Voyage/main'.
		
		spec 
			project: 'Magritte2' with: [ 
				spec
					className: 'ConfigurationOfMagritte2';
					file: 'ConfigurationOfMagritte2';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];
			project: 'MongoTalk' with: [ 
				spec
					className: 'ConfigurationOfMongoTalk';
					file: 'ConfigurationOfMongoTalk';
					version: #stable;
					repository: 'http://www.squeaksource.com/MetacelloRepository' ];	
			package: 'Voyage-Model-Core';
			package: 'Voyage-Memory-Core' with: [ spec requires: 'Voyage-Model-Core' ];
			package: 'Voyage-Seaside-Container' with: [ spec requires: 'Voyage-Model-Core' ];
			package: 'Voyage-Mongo-Core' with: [ spec requires: #('MongoTalk' 'Voyage-Model-Core') ];
			package: 'Voyage-Mongo-Magritte' with: [ spec requires: #('Magritte2' 'Voyage-Mongo-Core') ];
			package: 'Voyage-Mongo-Utils' with: [ spec requires: #('Voyage-Mongo-Core') ].
			
		spec
			group: 'default' with: #('Core' 'Memory');
			group: 'Core' with: #('Voyage-Model-Core');
			group: 'Memory' with: #('Voyage-Memory-Core');
			group: 'Mongo' with: #('Voyage-Mongo-Core' 'Voyage-Mongo-Magritte' 'Voyage-Mongo-Utils') ].! !

!ConfigurationOfVoyageMongo methodsFor: 'baselines' stamp: 'DamienCassou 10/3/2013 14:28'!
baseline12: spec
	<version: '1.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline. 
		spec repository: 'http://smalltalkhub.com/mc/estebanlm/Voyage/main'.
		
		spec 
			project: 'Magritte3' with: [ 
				spec
					className: 'ConfigurationOfMagritte3';
					file: 'ConfigurationOfMagritte3';
					version: #stable;
					repository: 'http://www.smalltalkhub.com/mc/Magritte/Magritte3/main' ];
			project: 'MongoTalk' with: [ 
				spec
					className: 'ConfigurationOfMongoTalk';
					file: 'ConfigurationOfMongoTalk';
					version: #stable;
					repository: 'http://www.smalltalkhub.com/mc/MongoTalkTeam/mongotalk/main' ];	
			package: 'Voyage-Model-Core';
			package: 'Voyage-Memory-Core' with: [ spec requires: 'Voyage-Model-Core' ];
			package: 'Voyage-Seaside-Container' with: [ spec requires: 'Voyage-Model-Core' ];
			package: 'Voyage-Mongo-Core' with: [ spec requires: #('MongoTalk' 'Voyage-Model-Core') ];
			package: 'Voyage-Mongo-Magritte' with: [ spec requires: #('Magritte3' 'Voyage-Mongo-Core') ];
			package: 'Voyage-Mongo-Tests';
			package: 'Voyage-Mongo-Utils' with: [ spec requires: #('Voyage-Mongo-Core') ].
			
		spec
			group: 'default' with: #('Core' 'Memory' 'Mongo' 'Tests');
			group: 'Core' with: #('Voyage-Model-Core');
			group: 'Memory' with: #('Voyage-Memory-Core');
			group: 'Mongo' with: #('Voyage-Mongo-Core' 'Voyage-Mongo-Magritte' 'Voyage-Mongo-Utils');
			group: 'Tests' with: #('Voyage-Mongo-Tests') ].! !

!ConfigurationOfVoyageMongo methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 11/20/2012 13:26'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.2-baseline'.
! !

!ConfigurationOfVoyageMongo methodsFor: 'accessing' stamp: 'EstebanLorenzano 2/14/2012 13:11'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfVoyageMongo methodsFor: 'symbolic versions' stamp: 'EstebanLorenzano 12/3/2013 12:58'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'pharo1.4.x' version: '1.1.1'.
	spec for: #'pharo2.0.x' version: '1.2.6'.
	spec for: #'pharo3.x' version: '1.2.6'.
	! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 4/24/2012 14:13'!
version081: spec
	<version: '0.8.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/24/2012 10:50'.
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.1';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.4';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.4';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.2'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 4/9/2012 20:41'!
version08: spec
	<version: '0.8' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '4/9/2012 20:39'.
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.1';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.3';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.2'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 5/21/2012 15:30'!
version091: spec
	<version: '0.9.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '5/21/2012 15:29'.
		
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.1';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.10';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.11';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 5/21/2012 14:21'!
version09: spec
	<version: '0.9' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '5/21/2012 14:21'.
		
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.1';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.10';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.11';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.11'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 6/12/2012 18:14'!
version10: spec
	<version: '1.0' imports: #('1.0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'release version'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '6/12/2012 18:14'.
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.3';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.23';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.18';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-EstebanLorenzano.3';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 1/22/2013 14:54'!
version111: spec
	<version: '1.1.1' imports: #('1.0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'release version'.
		spec author: 'EstebanLorenzano'.
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: '1.3'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-FrancoisStephany.7';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-FrancoisStephany.32';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.20';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'FrancoisStephany 11/14/2012 21:20'!
version11: spec
	<version: '1.1' imports: #('1.0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'release version'.
		spec author: 'FrancoisStephany'.
		spec 
			project: 'Magritte2' with: #'stable';
			project: 'MongoTalk' with: '1.3'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-FrancoisStephany.7';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-FrancoisStephany.32';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-FrancoisStephany.21';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 4/25/2013 13:11'!
version121: spec
	<version: '1.2.1' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'release version using magritte3'.
		spec author: 'EstebanLorenzano'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: '1.3'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.12';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.44';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.26';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].
! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 6/14/2013 11:26'!
version122: spec
	<version: '1.2.2' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.12';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.44';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.26';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 6/14/2013 13:35'!
version123: spec
	<version: '1.2.3' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '14 June 2013 1:34:59 pm'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.13';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.45';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.27';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 7/19/2013 12:45'!
version124: spec
	<version: '1.2.4' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '19 July 2013 12:45:25 pm'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.13';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.46';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.27';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 11/21/2013 12:58'!
version125: spec
	<version: '1.2.5' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '21 November 2013 12:57:59 pm'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.13';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.48';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.28';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 12/3/2013 12:58'!
version126: spec
	<version: '1.2.6' imports: #('1.2-baseline')>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec author: 'EstebanLorenzano'.
		spec timestamp: '3 December 2013 12:56:59 pm'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: #'stable'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-EstebanLorenzano.14';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container-EstebanLorenzano.1';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-EstebanLorenzano.50';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.28';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].! !

!ConfigurationOfVoyageMongo methodsFor: 'versions' stamp: 'EstebanLorenzano 1/22/2013 14:20'!
version12: spec
	<version: '1.2' imports: #('1.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'release version using magritte3'.
		spec author: 'EstebanLorenzano'.
		spec 
			project: 'Magritte3' with: #'stable';
			project: 'MongoTalk' with: '1.3'.
		spec 
			package: 'Voyage-Model-Core' with: 'Voyage-Model-Core-FrancoisStephany.7';
			package: 'Voyage-Memory-Core' with: 'Voyage-Memory-Core-EstebanLorenzano.1';
			package: 'Voyage-Seaside-Container' with: 'Voyage-Seaside-Container';
			package: 'Voyage-Mongo-Core' with: 'Voyage-Mongo-Core-FrancoisStephany.32';
			package: 'Voyage-Mongo-Magritte' with: 'Voyage-Mongo-Magritte-EstebanLorenzano.22';
			package: 'Voyage-Mongo-Tests' with: 'Voyage-Mongo-Tests-FrancoisStephany.14';
			package: 'Voyage-Mongo-Utils' with: 'Voyage-Mongo-Utils-EstebanLorenzano.12'. ].
! !
